<?php

namespace Drupal\mailgroup\Entity\Storage;

use Drupal\Core\Entity\Sql\SqlContentEntityStorage;
use Drupal\mailgroup\Entity\MailGroupInterface;

/**
 * Storage handler for Membership entities.
 */
class MailGroupMembershipStorage extends SqlContentEntityStorage implements MailGroupMembershipStorageInterface {

  /**
   * {@inheritdoc}
   */
  public function loadByEmail($email, MailGroupInterface $group = NULL) {
    $properties = ['uid.entity:user.mail' => $email];

    if ($group) {
      $properties['gid'] = $group->id();
    }

    /** @var \Drupal\mailgroup\Entity\MailGroupMembershipInterface[] $memberships */
    $memberships = $this->loadByProperties($properties);
    return $memberships;
  }

}
