<?php

namespace Drupal\mailgroup\Entity\Storage;

use Drupal\Core\Entity\ContentEntityStorageInterface;
use Drupal\mailgroup\Entity\MailGroupInterface;

/**
 * Storage handler for Membership entities.
 */
interface MailGroupMembershipStorageInterface extends ContentEntityStorageInterface {

  /**
   * Load a membership by email address.
   *
   * @param string $email
   *   The membership email address.
   * @param \Drupal\mailgroup\Entity\MailGroupInterface $group
   *   (optional) A group to load the membership for.
   *
   * @return \Drupal\mailgroup\Entity\MailGroupMembershipInterface[]
   *   An array of memberships indexed by their ids.
   */
  public function loadByEmail($email, MailGroupInterface $group = NULL);

}
