<?php

namespace Drupal\mailgroup\Entity\Storage;

use Drupal\Core\Entity\ContentEntityStorageInterface;

/**
 * Storage handler for mail group entities.
 */
interface MailGroupStorageInterface extends ContentEntityStorageInterface {

  /**
   * Load a group by email address.
   *
   * @param string $email
   *   The group email address.
   *
   * @return \Drupal\mailgroup\Entity\MailGroupInterface|false
   *   The group object, or FALSE if no group could be found.
   */
  public function loadByEmail($email);

}
